CREATE TABLE IF NOT EXISTS `newsletter` (
  `newsletter_id` varchar(32) NOT NULL,
  `user_id` varchar(32) NOT NULL,
  `titel` varchar(255) NOT NULL,
  `mkdate` int(20) NOT NULL,
  `description` text,
  `visible` tinyint(2) NOT NULL default '0',
  PRIMARY KEY  (`newsletter_id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `newsletter_content` (
  `content_id` varchar(32) NOT NULL,
  `newsletter_id` varchar(32) NOT NULL,
  `user_id` varchar(32) NOT NULL,
  `titel` varchar(255) NOT NULL,
  `content` text NOT NULL,
  `mkdate` int(20) NOT NULL,
  `format` varchar(30) NOT NULL default 'plain',
  `posted` int(20) NOT NULL default '0',
  PRIMARY KEY  (`content_id`),
  KEY `newsletter_id` (`newsletter_id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `newsletter_user` (
  `newsletter_id` varchar(32) NOT NULL,
  `user_id` varchar(32) NOT NULL,
  `mkdate` int(20) NOT NULL,
  `sec_token` varchar(32) NOT NULL,
  PRIMARY KEY  (`newsletter_id`,`user_id`)
) ENGINE=MyISAM;

CREATE TABLE `newsletter_emails` (
  `email_id` varchar(32) NOT NULL,
  `newsletter_id` varchar(32) NOT NULL,
  `email` varchar(255) NOT NULL,
  `name` varchar(255) default NULL,
  `mkdate` int(20) NOT NULL,
  `sec_token` varchar(32) NOT NULL,
  PRIMARY KEY  (`email_id`),
  KEY `newsletter_id` (`newsletter_id`)
) ENGINE=MyISAM;
